/* ====================================================================
 * Copyright (c) 2003-2007, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

// sc
#include "PathOps.h"

// svn
#include <svn_path.h>


QString stripPath( const QString& path, const QString& strip )
{
  QString tmp = path;
  tmp.remove( strip );

  if( tmp.indexOf('/') == 0 ) // qt4
  {
    tmp.remove(0,1);
  }
  return tmp;
}

bool isPathURL( const QString& path )
{
  return svn_path_is_url(path.toUtf8());
}
